Bug 463040 - fedora-release contains trademarks?
fedora-release contains trademarks?
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: fedora-release (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Blocker/F10FinalBlocker
  Show dependency treegraph
 
Reported: 2008-09-20 21:38 EDT by Jeroen van Meeuwen
Modified: 2013-01-09 20:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-22 17:57:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeroen van Meeuwen 2008-09-20 21:38:01 EDT
Description of problem:

The fedora-release package carries /etc/fedora-release, /etc/issue and /etc/issue.net, which may still contain trademarks (the "Fedora" brand name), or at least cause the Fedora name to be exposed prominently, in sight (system bootup, mingetty (/etc/issue), etc.).

I'm not sure this is actually a bug, but I wanted to note that all trademarks are supposed to be in fedora-logos.

If showing Fedora on a system that is not Fedora (e.g. removed fedora-logos) is a trademark violation, the contents of these files should be altered or they should move to fedora-logos.

If it is not a trademark violation, then I guess we're OK.

Version-Release number of selected component (if applicable):

Any fedora-release package
Comment 1 Jesse Keating 2008-09-20 23:58:54 EDT
Probably just oversight on the list of packages to replace when rebranding.  We made an effort to make things depend on 'system-release' rather than 'fedora-release' or 'redhat-release' so that re-branders could provide their own -release file that provides system-release.  I really don't see moving the Fedora Release content into some other package.

Adding spot to the cc.
Comment 2 John Poelstra 2008-09-22 11:35:45 EDT
Adding to F10 blocker as we should resolve this issue (whether it is a bug or not) prior to issuing F10.
Comment 3 Tom "spot" Callaway 2008-09-22 15:31:03 EDT
We can probably resolve this with a "generic-release" package, like we did for generic-logos. I'll whip something up.
Comment 4 Tom "spot" Callaway 2008-09-22 16:36:33 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=463293
Comment 5 Jeroen van Meeuwen 2008-09-22 17:13:32 EDT
ausgezeichnet!

Note You need to log in before you can comment on or make changes to this bug.